#!/bin/sh
#
#  Dr.Web (R) init script
#  $Revision: 1.10.14.7 $
#

# PROVIDE: drwebd
# REQUIRE: LOGIN
# BEFORE: drweb-sendmail drweb-icapd
# KEYWORD: drwebd
# Add the following line to /etc/rc.conf to enable drwebd:
#
#  drwebd_enable="YES"

BIN="drwebd"
PROGRAM="/usr/local/drweb/$BIN"
PIDFILE="/var/drweb/run/drwebd.pid"

RUNFILE=/etc/rc.conf
if test -f $RUNFILE ; then
    . $RUNFILE
fi
drwebd_enable=${drwebd_enable:-"NO"}
if test x"$drwebd_enable" != "xYES" ; then
    echo "DrWeb Daemon is disabled according to $RUNFILE"
    exit 0
fi

check_pidfile()
{
    pid=`head -1 $PIDFILE` || { echo "cannot read PID file"; exit 1; }
    [ "$pid" != "" ] && [ "$pid" -lt 100000 ] || { echo "invalid PID file for $PIDFILE"; exit 1; }
}


case "$1" in
    stop)
	echo "Shutting down Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
	check_pidfile;
    	kill `head -1 $PIDFILE`    
    fi
    ;;
    reload)
	echo "Reloading Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
	check_pidfile;
    	kill -HUP `head -1 $PIDFILE`    
    fi
    ;;
    restart)
	echo "Restarting Dr. Web daemon..."
    if [ -f $PIDFILE ] ; then
	check_pidfile;
    	kill `head -1 $PIDFILE`    
    fi
	sleep 3
	$PROGRAM
    ;;
    faststart|start)
	echo "Starting Dr. Web daemon..."
	$PROGRAM
    ;;
    status)
        if test -f "$PIDFILE"
        then
            echo "Dr.Web daemon started"
            exit 0
        else
            echo "Dr.Web daemon not started"
            exit 1
        fi
    ;;
    *)
    echo "Usage: $0 {faststart|start|stop|restart|reload|status}"
    ;;
esac
 